// creator  : weidu.exe (version 23600)
// argument : FAIZAH.DLG
// game     : .
// source   : ./override/FAIZAH.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FAIZAH~

IF ~  Global("Baldurian","GLOBAL",1)
!Global("VailLeft","AR0719",1)
~ THEN BEGIN 0 // from:
  SAY #10533 /* ~My word! Such a backache I have! I feel as though I have been standing for ages! I thank you for releasing me, and now I await your price. I am well acquainted with mercenaries and the like, and know that one does not rescue such as I for the good of one's health. What do you want of me?~ */
  IF ~~ THEN REPLY #10534 /* ~My price shall be your death if I do not receive the Helm of Balduran!~ */ GOTO 1
  IF ~~ THEN REPLY #10535 /* ~My price? I seek but one item: the Helm of Balduran. Once I have that I shall be on my way.~ */ GOTO 2
  IF ~Global("X#VicFai","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicFai","GLOBAL",1)~ EXTERN ~VICONJ~ 107
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #10536 /* ~Such manners! Your bluster is wasted; I do not have the item you seek. Perhaps one of my petrified fellows might, but that will be their business to take up with you. Please feel free to question them, as you will. I have shared much with them, but I care not for what baubles they have stashed in their packs.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #10537 /* ~If I had such a thing, I would not think your offer a worthwhile trade. My life for such a powerful item? You will not find many that peaceably accept such terms. Feel free to examine my fellows though. They might respond otherwise.~ */
  IF ~~ THEN EXIT
END

IF ~  True()
~ THEN BEGIN 3 // from:
  SAY #10595 /* ~My word! Such a backache I have! I feel as though I have been standing for ages! I thank you for releasing me, and now I await your price. I am well acquainted with mercenaries and the like, and know that one does not rescue such as I for the good of one's health. Though you wish much of me, there is nothing I can give. I will be off now, before you try to force something from me.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
